Skip to content

Player How-to: Getting Mods to work on EE, part II

CamDawgCamDawg Member, Developer Posts: 3,437
edited September 2013 in General Modding

Step One

Install them as normal.

If you get some time of error message (likely along the lines of it not being to find dialog.tlk) because the mod is using an old version of WeiDU, replace the setup-foo.exe program (or just setup-foo for you OS X/Linux users) with the latest copy of WeiDU appropriate to your platform.

Step Two

Go look at the old directions. Seriously, go look. Now everyone go love on @Wisp for making them all completely unnecessary.

Please note: Some mods still need to be updated for other compatibility issues, but getting an EE-enabled WeiDU is a massive step forward. In the meantime, you can enjoy a slate of G3 mods that have received EE-compatibility updates: a couple of portrait packs, Mur'Neth NPC, or the ubiquitous BG2 Tweak Pack (which, despite its name, runs fine on EE).

When we get around to BGII:EE, we'll have P&P Celestials, G3 Anniversary, Amber, and Auren Aseph waiting (and hopefully more).
CerevantErgJuliusBorisovDrugaralnairPeccaJamestypo_tillyFina92DiscoCatWilburThe_Guilty_PartyEudaemoniumSCARY_WIZARDviadercmorganCrevsDaakcomebackhomejscohenelminsterALIENmashedtaters
«1

Comments

  • MonkLoverMonkLover Member Posts: 24
    So is UB compatible? *crosses fingers*
  • DrugarDrugar Member Posts: 1,566
    Eeeeexcellent! Thank you Wisp (and others) for your tireless work!
  • PeccaPecca Member Posts: 2,045
    Wisp should really be on the team and get paid for this.
  • velehalvelehal Member Posts: 299
    So what does it mean for Spell Revision and Item Revision (I mean the parts that are changing BG2 items, I know that Item revision does not yet change items from EE)? It is enough to replace the setup-foo.exe program or we have to wait for newer version?
  • ghostowlghostowl Member Posts: 171
    will it work on the Mac?
  • CamDawgCamDawg Member, Developer Posts: 3,437
    MonkLover said:

    So is UB compatible? *crosses fingers*

    Well, now you can try and find out.
    velehal said:

    So what does it mean for Spell Revision and Item Revision (I mean the parts that are changing BG2 items, I know that Item revision does not yet change items from EE)? It is enough to replace the setup-foo.exe program or we have to wait for newer version?

    I know the Revisions folks have been looking at EE stuff and trying to incorporate it into the next release. For now I'd probably wait.
    ghostowl said:

    will it work on the Mac?

    It should, yes.
  • XzarXzar Member Posts: 215
    But which components of UB are already in vanilla BGEE? I presume Elminster encounter, Angelo-Shar-Teel and something else is already there?
  • TJ_HookerTJ_Hooker Member Posts: 2,438
    edited October 2013
    @Xzar
    I don't think any UB components were incorporated in BG:EE.
  • FrozenCellsFrozenCells Member Posts: 385
    TJ_Hooker said:

    @Xzar
    I don't think any UB components were incorporated in BG:EE.

    At least one is, namely the fix to the issue that prevented an additional Elminster encounter in the original game.
    TJ_Hooker
  • shiffdshiffd Member Posts: 23
    Dude I am having a huge problem installing any mod because...I can not find for WHERE BGEE is on my computer...I simply cannot find the file folder. I wanted to do BGII tweaks but.... the tweak pack needs a folder to be installed to...no such folder seems to exist...I'm using Windows XP. Is Steam running from a cloud or something? I really don't get this stuff....I bought BGEE cuz I thought it would have new content...the black pits was very short and well it wasn't horrible but it wasn't a whole new game or anything...UB isn't even compatible yet so I am kinda wondering what the point of paying all this money is...
    At very least I would like to mod it with the tweaks and try a run through with the new look and all that. It does seem a lot smoother, so maybe it will be fun.

    But I need to find the durn folder to do the tweaks.
  • CamDawgCamDawg Member, Developer Posts: 3,437
    edited October 2013
    By default BG:EE lives in c:\Program Files\Beamdog\Games\00766. Alternatively, from your Beamdog launcher you can right-click the game and select 'open game location'.
  • GigioBigioGigioBigio Member Posts: 18
    For steam User C:\Program Files (x86)\Steam\SteamApps\common\Baldur's Gate Enhanced Edition
  • RyofuRyofu Member Posts: 265
    can i ask a silly question? How do i replace the setup-foo.exe with the latest version of weidu? I just downloaded weidu-windows 232 from the website link

    regards
  • enneractenneract Member Posts: 187
    Ryofu said:

    can i ask a silly question? How do i replace the setup-foo.exe with the latest version of weidu? I just downloaded weidu-windows 232 from the website link

    regards

    Just run any setup-*. It will update itself with the newest version of weidu present in the directory (actually, it will update every instance of weidu with the latest)
  • AlkaluropsAlkalurops Member Posts: 269
    Which only works if any of the setups is the latest weidu. If not, you have to delete setup-foo.exe, download weidu 232 and rename it to setup-foo.exe.
  • alnairalnair Member Posts: 561
    Or just put the latest weidu.exe in the folder.
  • XerkatXerkat Member Posts: 8
    Will WeiDU create another BGT? after BG2:EE is released?
  • Fina92Fina92 Member Posts: 280
    edited November 2013
    I downloaded the latest version of weidu and unzipped it and all, but where should I install it? I keep getting errormessages. If someone would explain it really simplified for me, I would be grateful. Thanks
    Post edited by Fina92 on
  • IsayaIsaya Member, Translator (NDA) Posts: 752
    @Jalily gave detailed instructions in this discussion. Hopefully it will help you.
  • SarnindSarnind Member Posts: 255
    Any volunteers for a video guide?
  • OxvaOxva Member, Translator (NDA) Posts: 80
    So, after Patch 1.2 and new weidu is it still mandatory to create a hardlink to dialog.tlk?
  • LiamEslerLiamEsler Member Posts: 1,859
    @Oxva With the new version of WeiDU, you shouldn't need to create a hardlink or use .bat files, no. :)
    Oxva
  • prophet1prophet1 Member Posts: 172
    @LiamEsler
    This is a how-to thread for players, is there a similar "how-to" thread for MODDERS ?

    I.e. what needs to be done to make sure your BGT or BGTutu mod works in BG1EE, or your BG2:ToB mod works on BG2EE?

    I know @Cuv for instance is working to update Acension to work with BG2EE - I would be very much interested to know what exactly is he doing to achieve that, in technical terms.
  • CuvCuv Member, Developer Posts: 2,535
    @prophet1 The first problem I have come across are cre/itm/spl files that are missing from BGIIEE. These files were not used in core game, so they were purged. Many mods (including Ascension) make use of some of the unused files .... so I have to go through and put them back for the mod.

    Also, many mods use script block compares to write their new content into scripts. This is a safety feature for mod compatibility. In BGIIEE, many of these scripts have been updated to use better language and have also added in the new NPC content. So I have to carefully go through Ascension to make sure that the compare blocks exists with regards to how they are searched, and then the correct (and updated) scripting language is patched in.

    This (and more) is all necessary to make sure that no files are directly overwritten, but rather patched to avoid conflicts with other mods. Otherwise we will be back in the dark ages of modding where you can only have one mod installed at a time. Hopefully that helps to answer your question :)
    Erg
  • prophet1prophet1 Member Posts: 172
    @Cuv Sounds like it's mostly missing unused resources and off-the-mark REPLACE_TEXTUALLY instructions then. Cool, thanks for clarifying.
    Cuv
  • ErgErg Member Posts: 1,756
    prophet1 said:

    is there a similar "how-to" thread for MODDERS ?

    I.e. what needs to be done to make sure your BGT or BGTutu mod works in BG1EE, or your BG2:ToB mod works on BG2EE?

    @prophet1

    You may find also of interest @CamDawg's How-to on the G3 Forums:

    http://forums.gibberlings3.net/index.php?showtopic=25609
    Cuv
  • prophet1prophet1 Member Posts: 172
    @Erg Thank you, that thread is very useful and exactly what I was asking for. :)
    Erg
  • randyroorandyroo Member Posts: 54
    okay i'm really having problems installing kits so im looking for help. first I had problems getting anything to work so i followed the old guide of setting up a link from the folder containing the chitin key to the directory where the dialog.tlk file was in the en_US folder
    tis made mods install fine but when i went to character generation and went to select the kit the box was not selectable and inside was written something like invalid 33435

    then i went on to change the copy of weidu to the newest version

    this time in character generation the writing said what it was supposed too ie the name of the kit, but i still couldnt select the kit even when picking human which should work with all 3 mods i tried.
    i tried this with 3 different kits
    wildsorcerer
    eldritch knight
    tiger style monk
    could never select the kit.
    so a few questions is this normal? is this because of the new patch? is there an easy way to enable modded kits for character generation?
    thanks
  • enneractenneract Member Posts: 187
    most existing kit mods will be completely broken by the latest patch.
  • xzar40000xzar40000 Member Posts: 3
    im having a problem my mods say the tp2 is not present when i boot them up the the file is there can someone please help
Sign In or Register to comment.